Summary:	Retrieve the DSDT from your BIOS
Summary(pl.UTF-8):	Narzędzie do odczytu DSDT z BIOS-u
Name:		pmtools
Version:	20110323
Release:	2
License:	GPL v2+
Group:		Applications/System
Source0:	http://ftp.kernel.org/pub/linux/kernel/people/lenb/acpi/utils/%{name}-%{version}.tar.bz2
# Source0-md5:	9ed64a1c04bb9597257786de034a77a9
URL:		http://acpi.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DSDT is an acronym for Differentiated System Description Table. This
table contains the Differentiated Definition Block, which supplies the
information and configuration information about the base system. It is
always inserted into the ACPI Namespace by the OS at boot time.
Unfortunately, many hardware vendors and OEMs are not capable of
supplying fully functional tables (not even the members of the ACPI
SIG)

%description -l pl.UTF-8
DSDT to skrót od Differentiated System Description Table (różnicowa
tabela opisu systemu). Jest to tabela zawierająca różnicowy blok
definicji, dostarczający informacji o systemie bazowym i jego
konfiguracji. Jest zawsze umieszczany w przestrzeni nazw ACPI przez
system operacyjny w czasie startu. Niestety wielu producentów sprzętu
i OEM-ów nie ma możliwości dostarczania w pełni funkcjonalnych tabel
(nawet członkowie ACPI SIG).

%prep
%setup -q -n %{name}

%{__mv} madt/README README.madt

%build
%{__cc} %{rpmldflags} %{rpmcflags} -o madt/madt madt/madt.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}

install madt/madt $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README README.madt
%attr(755,root,root) %{_sbindir}/madt
%changelog
* Tue May 31 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pmtools.git;a=log;h=master

* Tue May 31 2022 Jakub Bogusz <qboosh@pld-linux.org> 299661c
- release 2

* Tue May 31 2022 Jakub Bogusz <qboosh@pld-linux.org> 9b6d9b0
- removed acpidump,acpixtract (newer versions, working with current kernel interfaces are in acpica package)

* Tue May 31 2022 Jakub Bogusz <qboosh@pld-linux.org> 59089c2
- removed turbostat (now in kernel-tools)

* Sat Mar 26 2011 Jakub Bogusz <qboosh@pld-linux.org> 5f08cfd
- updated to 20110323

* Sun Jan 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 08e3def
- updated to 20101221
- package turbostat manual

* Wed Nov 10 2010 Tomasz Pala <gotar@pld-linux.org> 6b10f34
- build and package turbostat

* Sat Sep 25 2010 Jakub Bogusz <qboosh@pld-linux.org> 8242de4
- updated to 20100825

* Sun Dec 16 2007 Tomasz Pala <gotar@pld-linux.org> 48f3fb4
- up to 20071116

* Wed Jul 18 2007 Jakub Bogusz <qboosh@pld-linux.org> 27842bc
- updated to 20070714

* Tue May 15 2007 Jakub Bogusz <qboosh@pld-linux.org> 96dbb27
- updated to 20070511

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0d4f90f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7c0bfd6
- converted to UTF-8

* Thu Dec 21 2006 Jakub Bogusz <qboosh@pld-linux.org> c7fae5c
- updated to 20061130

* Wed Nov 01 2006 Jakub Bogusz <qboosh@pld-linux.org> f4c4f22
- updated to 20061026, package madt

* Sat Feb 11 2006 maciek2w <maciek2w@pld-linux.org> da02389
- updated to 20051111

* Wed Mar 24 2004 Jakub Bogusz <qboosh@pld-linux.org> 9fbbc27
- don't try to build pmtest kernel module, fixed install,files

* Tue Mar 23 2004 Jakub Bogusz <qboosh@pld-linux.org> dbb77b1
- pl

* Mon Mar 22 2004 Paweł Gołaszewski <blues@pld-linux.org> 763fdde
- does not build on my system. I won't finish it (lazy me...)

